package body MSHTML.IDocumentTraversal_Object is

   function createNodeIterator
     (This                      : IDocumentTraversal_Type;
      pRootNode                 : GNATCOM.Types.VARIANT;
      ulWhatToShow              : GNATCOM.Types.VARIANT;
      pFilter                   : GNATCOM.Types.VARIANT;
      fEntityReferenceExpansion : GNATCOM.Types.VARIANT;
      Free                      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IDocumentTraversal_createNodeIterator,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fEntityReferenceExpansion,
          2 => pFilter,
          3 => ulWhatToShow,
          4 => pRootNode),
         Free);
   end createNodeIterator;

   function createTreeWalker
     (This                      : IDocumentTraversal_Type;
      pRootNode                 : GNATCOM.Types.VARIANT;
      ulWhatToShow              : GNATCOM.Types.VARIANT;
      pFilter                   : GNATCOM.Types.VARIANT;
      fEntityReferenceExpansion : GNATCOM.Types.VARIANT;
      Free                      : Boolean := True)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke
        (This,
         IDocumentTraversal_createTreeWalker,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => fEntityReferenceExpansion,
          2 => pFilter,
          3 => ulWhatToShow,
          4 => pRootNode),
         Free);
   end createTreeWalker;

end MSHTML.IDocumentTraversal_Object;

